require "cryptotools/version"

module Cryptotools
  class Error < StandardError; end

  class Error < StandardError; end

  class Steganography

    # Multitool::Steganography.steghide_embed
    def self.steghide_embed
      print "Which image do you want to use? (JPEG) >> "
      image = gets.chomp

      print "Which text file do you want to embed? >> "
      text_file = gets.chomp

      system("cd images; steghide embed -cf #{image} -ef #{text_file}")
    end

    # Multitool::Steganography.steghide_extract
    def self.steghide_extract
      print "Which image do you embed? (JRPG) >> "
      image = gets.chomp

      system("cd images; steghide extract -sf #{image}")
    end

    # Multitool::Steganography.steghide_install
    def self.steghide_install
      system("sudo apt-get install steghide")
    end

  end

  class Cryptography

    # Multitool::Cryptography.mixed_alphabetic
    def self.mixed_alphabetic
      alph = File.read("keyset/alph.txt")
      beta = File.read("keyset/beta.txt")

      print "Plaintext  << "
      plaintext = gets.chomp

      ciphertext = plaintext.tr alph, beta

      print "Ciphertext >> "
      puts ciphertext
    end

    # Multitool::Cryptography.shuffle_keys
    def self.shuffle_keys
      system("cd keyset; ./shuffle.sh")

      puts "Keys have been shuffled."

      sleep(3)
    end

  end
end
